/*
 * generated by Xtext 2.23.0
 */
package es.uca.webservices.testgen.parsers.spec.xtext.ide;

import org.eclipse.xtext.util.Modules2;

import com.google.inject.Guice;
import com.google.inject.Injector;

import es.uca.webservices.testgen.parsers.spec.xtext.TestSpecRuntimeModule;
import es.uca.webservices.testgen.parsers.spec.xtext.TestSpecStandaloneSetup;

/**
 * Initialization support for running Xtext languages as language servers.
 */
public class TestSpecIdeSetup extends TestSpecStandaloneSetup {

	@Override
	public Injector createInjector() {
		return Guice.createInjector(Modules2.mixin(new TestSpecRuntimeModule(), new TestSpecIdeModule()));
	}
	
}
